Barre de munus unity

Bernard01 rouin.bernard at neuf.fr
Ven 29 Avr 17:25:29 UTC 2011


Le vendredi 29 avril 2011 18:02:32, Avell Diroll a écrit :
> On 29/04/11 17:14, Bernard principale Neuf wrote:
> > Après une mise à niveau vers 11.04 cette nuit, je n'arrive pas à afficher
> > unity correctement. Je n'ai que mon fond d'écran et aucun lanceur
> > d'aucune sorte. Par contre Gnome 2.xx fonctionne correctement avec
> > compiz et certains effets 3D.
> > J'ai lu que Unity demande une carte graphique correct pour la 3D, sinon
> > c'est Gnome qui doit-être utilisé. Mais vu que Gnome utilise déja la 3D
> > avec Compiz, cela devrait fonctionner, non ? De plus KDE fonctionne trés
> > bien. Carte graphique N'vidia GTS450.
> 
> Unity demande des ressources particulières (GLSL, ARB shaders), qui ne
> sont pas forcément nécessaires à tous les plugins compiz … ainsi compiz
> peut tourner sans pour autant permettre à unity de fonctionner.
> 
> Pour info voici la page des ressources minimales demandées pour faire
> tourner unity:
> https://wiki.ubuntu.com/DesktopExperienceTeam/UnityHardwareRequirements
> 
> De par ce fait de nombreuses cartes sont blacklistées pour unity, pour
> savoir si c'est le cas sur une installation en particulier, il suffit de
> lancer la commande suivante:
> 
> /usr/lib/nux/unity_support_test -p

Le résultat de la commande citée ci-dessus :

bernard at bernard-desktop:~$ /usr/lib/nux/unity_support_test -p
OpenGL vendor string:   NVIDIA Corporation
OpenGL renderer string: GeForce GTS 450/PCI/SSE2
OpenGL version string:  4.1.0 NVIDIA 270.41.06
Not software rendered:    yes
Not blacklisted:          yes
GLX fbconfig:             yes
GLX texture from pixmap:  yes
GL npot or rect textures: yes
GL vertex program:        yes
GL fragment program:      yes
GL vertex buffer object:  yes
GL framebuffer object:    yes
GL version is 1.4+:       yes
Unity supported:          yes

Sauf erreur de ma part, ça devrait le faire, non ?

> 
> Il est possible de passer outre ce blacklisting (à vos risques et
> périls) si l'on pense que le matériel est capable de faire tourner unity
> tout de même (les drivers nvidia 173 sont blacklistées alors que des
> tests rapportent certaines cartes les utilisant comme lentes mais
> fonctionnelles). Pour ce faire il suffit d'ajouter la ligne suivante à
> /etc/environment:
> 
> UNITY_FORCE_START=1
> 
> Enfin il existe un projet similaire en look'n feel à unity, mais ne
> nécessitant pas de 3D: unity-2d, pour l'installer, il suffit de lancer
> la commande suivante:
> 
> sudo apt-get update && sudo apt-get install unity-2d
> 
> Pour finir, on est vendredi, donc: openbox ftw !!
> 
> Bonne continuation
> 
>    Ju





Plus d'informations sur la liste de diffusion ubuntu-fr